Subject: bug#23572: Emacs segfaults at start since commit '374f6a5f3...'

From: Zack Piper <[email-masked]>
Date: Wed, 18 May 2016 18:32:46 +0000

On Wed, May 18, 2016 at 06:14:08PM -0000, Alan Mackenzie wrote:
> In article <[email-masked]> you wrote:
> > Vladimir Lomov <[email-masked]> writes:
> 
> >> Hello,
> >>
> >> I faced with emacs segfault on start. I compiled emacs from git commit
> >> '07ebcf1bd...' on my system: Archlinux x86_64, gcc 6.1.1 and run it in
> >> terminal and it segfaulted, see attached output from GDB and valgrind.
> >> While emacs compiled from git commit '6f5db0255...' works fine, so I
> >> suspect that commit '374f6a5f3...' has introduced some bug or was
> >> incompleted.
> 
> > For what it is worth, I see the same crash, but I suspect my setup is very
> > similar to Vladimir’s.
> 
> I'm afraid I'm one of these strange people who don't have a memory for
> the heads of 40-digit hex hashes.
> 
> Do you think one of you might decipher these hashes for people like me?
> Something like a date and the first line of the commit message would be
> ideal.
> 
> Thanks!
> 
> > Thanks,
> > Rasmus
> 
> > -- 
> > Don't panic!!!
> 
> -- 
> Alan Mackenzie (Nuremberg, Germany).
> 
> 
> 
> 

(FYI Git can work with these fine, `git checkout 07ebcf1bd` goes to the commit mentioned)

"07ebcf1bd..." is 07ebcf1bd964ae64446c52fb5481e919ed577358:

commit 07ebcf1bd964ae64446c52fb5481e919ed577358
Refs: [HEAD], emacs-24.5-rc3-fixed-9323-g07ebcf1
Author:     Paul Eggert <[email-masked]>
AuthorDate: Wed May 18 00:48:35 2016 -0700
Commit:     Paul Eggert <[email-masked]>
CommitDate: Wed May 18 00:49:30 2016 -0700

    ‘make check-declare’ now chatters less

    * etc/NEWS: Document this.
    * lisp/emacs-lisp/check-declare.el (check-declare-locate):
    Return relative names, not absolute.
    (check-declare-scan, check-declare-verify, check-declare-warn)
    (check-declare-file, check-declare-directory):
    Generate less chatter.  Use relative file names rather than
    absolute.  Don’t give up on computing a good file name for a
    diagnostic merely because the function name was bad.  Make
    malformed declarations more noticeable.  Don’t warn about
    "ext:..." declarations if check-declare-ext-errors is nil.
    (check-declare-errmsg): Remove.
    (check-declare-warn): New optional arg LINE.
    (check-declare-files): Put status into mode line rather than
    chattering.

"6f5db0255..." is 6f5db0255cab2e17ab53ee68f6dc2f4d75978d80:

commit 6f5db0255cab2e17ab53ee68f6dc2f4d75978d80
Refs: [HEAD], emacs-24.5-rc3-fixed-9318-g6f5db02
Author:     Paul Eggert <[email-masked]>
AuthorDate: Wed May 18 00:05:53 2016 -0700
Commit:     Paul Eggert <[email-masked]>
CommitDate: Wed May 18 00:49:28 2016 -0700

    Sync from gnulib

    This incorporates:
    2016-05-17 manywarnings: update for GCC 6.1
    2016-05-13 intdiv0, memmem, nocrash, strcasestr, strstr: no exit
    * m4/manywarnings.m4, m4/nocrash.m4: Copy from gnulib.

"374f6a5f3..." is 374f6a5f34a83d3e4c518f0726558642293fdd71:

commit 374f6a5f34a83d3e4c518f0726558642293fdd71
Refs: [HEAD]
Author:     Paul Eggert <[email-masked]>
AuthorDate: Wed May 18 00:06:12 2016 -0700
Commit:     Paul Eggert <[email-masked]>
CommitDate: Wed May 18 00:49:29 2016 -0700

    Port --enable-gcc-warnings to GCC 6.1

Hope this helps!

-- 
Zack Piper <[email-masked]> https://apertron.net